import 'package:flutter/widgets.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:pharmacy_mobile/blocs/caches/genericlist/genericlist_cache_bloc.dart';
import 'package:pharmacy_mobile/blocs/caches/genericlist/genericlist_cache_event.dart';

Future<bool> cacheSetGenericList(BuildContext context, List value) async {
  try {
    final genericListCache = context.read<GenericListBloc>();
    genericListCache.add(GenericListCacheSet(value));
    return true;
  } catch (e) {
    return false;
  }
}
